SanitizerApi: Sanitizer_MemcpyData Struct Reference

# Sanitizer_MemcpyData Struct Reference
[Sanitizer Callback API]

Data passed into a memcpy callback function. More...

## Data Fields
CUcontext | apiContext
CUstream | apiStream
Sanitizer_MemcpyDirection | direction
uint64_t | dstAddress
CUcontext | dstContext
uint64_t | dstPitch
CUstream | dstStream
Sanitizer_StreamHandle | hApiStream
Sanitizer_StreamHandle | hDstStream
Sanitizer_StreamHandle | hSrcStream
uint32_t | isAsync
uint64_t | size
uint64_t | srcAddress
CUcontext | srcContext
uint64_t | srcPitch
CUstream | srcStream
uint64_t | width

## Detailed Description

Data passed into a launch callback function as the `cbdata` argument to Sanitizer_CallbackFunc. The `cbdata` will be this type for `domain` equal to SANITIZER_CB_DOMAIN_MEMCPY. The callback data is only valid within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of it.

## Field Documentation

CUcontext Sanitizer_MemcpyData::apiContext

The context on which the operation was requested

CUstream Sanitizer_MemcpyData::apiStream

The stream on which the operation was requested

Sanitizer_MemcpyDirection Sanitizer_MemcpyData::direction

The direction of the transfer

uint64_t Sanitizer_MemcpyData::dstAddress

The destination allocation address.

CUcontext Sanitizer_MemcpyData::dstContext

The context where the destination allocation is located

uint64_t Sanitizer_MemcpyData::dstPitch

The destination allocation pitch.

CUstream Sanitizer_MemcpyData::dstStream

The stream where the memcpy is executed on the destination context

Sanitizer_StreamHandle Sanitizer_MemcpyData::hApiStream

Unique handle for the API stream.

Sanitizer_StreamHandle Sanitizer_MemcpyData::hDstStream

Unique handle for the destination context stream.

Sanitizer_StreamHandle Sanitizer_MemcpyData::hSrcStream

Unique handle for the source context stream.

uint32_t Sanitizer_MemcpyData::isAsync

Boolean value indicating if the transfer is asynchronous.

uint64_t Sanitizer_MemcpyData::size

Size of the transfer in bytes.

uint64_t Sanitizer_MemcpyData::srcAddress

The source allocation address.

CUcontext Sanitizer_MemcpyData::srcContext

The context where the source allocation is located

uint64_t Sanitizer_MemcpyData::srcPitch

The source allocation pitch.

CUstream Sanitizer_MemcpyData::srcStream

The stream where the memcpy is executed on the source context

uint64_t Sanitizer_MemcpyData::width

Memcpy size configuration.